import { SSHSession } from '../session/ssh';
import { SSHProfile } from '../api';
export declare class SSHService {
    private passwordStorage;
    private config;
    private platform;
    private fileProviders;
    private detectedWinSCPPath;
    private constructor();
    getWinSCPPath(): string | undefined;
    getWinSCPURI(profile: SSHProfile, cwd?: string, username?: string): Promise<string>;
    launchWinSCP(session: SSHSession): Promise<void>;
}
